Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1474 - kbd-0.96a-8.sparc.rpm won't upgrade
Summary: kbd-0.96a-8.sparc.rpm won't upgrade
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kbd
Version: 5.2
Hardware: sparc
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-03-10 22:25 UTC by Brian Feeny
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-03-24 23:37:29 UTC


Attachments (Terms of Use)

Description Brian Feeny 1999-03-10 22:25:20 UTC
kbd-0.96a-8.sparc.rpm is installed from RH5.1

Whenever I try to -Fvh it, it fails, either from the CD
Redhat shipped me, or from a fresh new package ftp'ed from
redhat.

[cluebox:/tmp/hmm] $ rpm -Fvh kbd-0.96a-8.sparc.rpm
warning: /etc/rc.d/init.d/keytable saved as
/etc/rc.d/init.d/keytable.rpmsave
kbd
###############################################unpac
king of archive failed on file
/usr/lib/kbd/keytables: -2147483639: Operation not permitted
error: kbd-0.96a-8.sparc.rpm cannot be installed

Comment 1 Jeff Johnson 1999-03-24 23:37:59 UTC
I just did (on a sparc running Red Hat 5.2)
	rpm -e kbd
	rpm -U kbd-0.96a-8.sparc.rpm
and that worked with rpm-2.93-3 (rpm-2.92 is available at
rawhide.redhat.com).

Try the following
	rpm --rebuilddb		# just in case
	rpm -e kbd		# get rid of previous
	rpm -U kbd-0.96a.sparc.rpm
and if that fails, try upgrading rpm to rpm-2.5.6 and/or
rpm-2.92 and repeat.

Please reopen this bug if the above does not fix your problem.


Note You need to log in before you can comment on or make changes to this bug.